Bug 2774 - Select folder/New Folder dialog - modal problem
Summary: Select folder/New Folder dialog - modal problem
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail (Windows)
Classification: Unclassified
Component: default (show other bugs)
Version: 3.9.0
Hardware: PC Windows NT
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2012-11-09 05:42 CET by Abhay S. Kushwaha
Modified: 2012-11-22 15:43 CET (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Abhay S. Kushwaha 2012-11-09 05:42:27 CET
Observed behaviour:
Select a message. Press the keyboard combo (or right-click and select the option) to move the message, which brings up the "Select folder" dialog box. If you click "New" there to create a new folder, the dialog box that pops up to take the new folder's name is "behind" the "Select folder" dialog box, that is, not directly accessible to the user (say, using a mouse).

Expected behaviour:
The folder that takes the new folder's name should be atop the "Select folder" dialog and normally accessible.
Comment 1 Abhay S. Kushwaha 2012-11-09 05:44:43 CET
Bug #2754 (http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2754) is also a minor RFE that could be addressed while fixing this bug.
Comment 2 Abhay S. Kushwaha 2012-11-14 13:13:33 CET
This problem does not happen on Windows for the very first time this dialog box comes up after starting Claws-Mail. Only from second time onwards. Maybe this will provide some clue into what's happening?
Comment 3 users 2012-11-16 17:11:47 CET
Changes related to this bug have been committed.
Please check latest CVS and update the bug accordingly.
You can also get the patch from:
http://www.claws-mail.org/tracker/

2012-11-16 [colin]	3.9.0cvs10

	* src/foldersel.c
	* src/prefs_actions.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
	* src/quote_fmt.c
	* src/gtk/description_window.c
	* src/gtk/description_window.h
	* src/gtk/inputdialog.c
	* src/gtk/manage_window.c
	* src/gtk/quicksearch.c
		Try to better fix focus problems. Should address:
		Bug #2774
		Bug #2624
		Bug #1963
		Please check using your favorite WM that the following works:
		Information button (Quicksearch, Templates, 'Test' filtering 
		condition)
		Folder selection (Move/Copy contextual menu,
		various preferences, including 'New folder').
		Tested with XFCE, Gnome Shell and Windows.
		
Comment 4 Abhay S. Kushwaha 2012-11-22 15:43:36 CET
Yes, this is no longer happening in 3.9.0cvs12 (the most recent build available for Windows). Thank you.